Summary: Utilities for monitoring your system and processes on your system.
Name: procps
%define major_version 2
%define minor_version 0
%define revision 7
%define version %{major_version}.%{minor_version}.%{revision}
Version: %{version}
Release: 1.0.2
Vendor: Guardian Digital, Inc.
Packager: Guardian Digital, Inc. <http://www.linuxseclabs.com>
Copyright: GPL
Group: Applications/System
Source: ftp://people.redhat.com/johnsonm/procps/procps-%{version}.tar.gz
Patch0: procps-2.0.7-locale.patch
Patch1: procps-2.0.7-makefile.patch
BuildRoot: /var/tmp/procps-root

%description
The procps package contains a set of system utilities which provide
system information including processor, memory, disk, system, and more.

%prep
%setup
%patch0 -p1 -b .locale
%patch1 -p1 -b .makefile

%build
make CC="gcc $RPM_OPT_FLAGS" LDFLAGS=-s MANDIR=%{_mandir}

%install
rm -rf $RPM_BUILD_ROOT
mkdir -p $RPM_BUILD_ROOT/{bin,usr/bin,sbin}
mkdir -p $RPM_BUILD_ROOT%{_mandir}/{man1,man8,man5}
mkdir -p $RPM_BUILD_ROOT/lib

make DESTDIR=$RPM_BUILD_ROOT MANDIR=%{_mandir} install

%clean
rm -rf $RPM_BUILD_ROOT

%post
# add libproc to the cache
/sbin/ldconfig

%files
%defattr(0644,root,root,755)
%doc NEWS BUGS TODO
%attr(755,root,root) /lib/libproc.so.%{version}
%attr(555,root,root) /bin/ps
%attr(550,root,root) /sbin/sysctl
%attr(555,root,root) /usr/bin/uptime
%attr(555,root,root) /usr/bin/free
%attr(555,root,root) /usr/bin/w
%attr(555,root,root) /usr/bin/top
%attr(555,root,root) /usr/bin/vmstat
%attr(555,root,root) /usr/bin/watch
%attr(555,root,root) /usr/bin/skill
%attr(555,root,root) /usr/bin/snice

%attr(0644,root,root) %{_mandir}/man1/free.1*
%attr(0644,root,root) %{_mandir}/man1/ps.1*
%attr(0644,root,root) %{_mandir}/man1/oldps.1*
%attr(0644,root,root) %{_mandir}/man1/skill.1*
%attr(0644,root,root) %{_mandir}/man1/snice.1*
%attr(0644,root,root) %{_mandir}/man1/top.1*
%attr(0644,root,root) %{_mandir}/man1/uptime.1*
%attr(0644,root,root) %{_mandir}/man1/w.1*
%attr(0644,root,root) %{_mandir}/man1/watch.1*
%attr(0644,root,root) %{_mandir}/man8/vmstat.8*
%attr(0644,root,root) %{_mandir}/man8/sysctl.8*

%changelog
* Mon Oct 30 2000 Dave Wreski <dave@guardiandigital.com>
- FHS changes
- removed X11
- upgraded to 2.0.7
- removed tload

* Fri Jul 14 2000 Pete O'Hara <pete@guardiandigital.com>
- removed "X11" package for Guardian Digital Lockbox
- removed world access to /sbin/sysctl

* Tue Mar  7 2000 Bill Nottingham <notting@redhat.com>
- fix end-of-file behavior in sysctl

* Mon Feb 07 2000 Preston Brown <pbrown@redhat.com>
- wmconfig -> desktop

* Mon Feb  7 2000 Jakub Jelinek <jakub@redhat.com>
- don't try to load System.map (and spit error messages if it does not
  exist) if ps or top are not going to use it, both to speed things up
  and remove the ugly messages when they don't make sense.
- in top, print the possible error messages using standard top SHOWMESSAGE
  (because it will be now printed out when already in terminal mode).

* Thu Feb  3 2000 Matt Wilson <msw@redhat.com>
- added patch to prevent divide by zero on UltraSparc
- gzip man pages

